Bug 24551 - gnome-shell consistently uses 70% of CPU when TopIcons extension is enabled
Summary: gnome-shell consistently uses 70% of CPU when TopIcons extension is enabled
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal major
Target Milestone: Mageia 7
Assignee: GNOME maintainers
QA Contact:
URL: https://gitlab.gnome.org/GNOME/gnome-...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-23 05:06 CET by Thierry Vignaud
Modified: 2019-05-17 23:46 CEST (History)
4 users (show)

See Also:
Source RPM: gnome-shell-extension-topicons-22-1.mga7, gnome-shell
CVE:
Status comment:


Attachments
Upstream patch that fixes this bug (1.30 KB, text/plain)
2019-05-06 00:16 CEST, Martin Whitaker
Details

Description Thierry Vignaud 2019-03-23 05:06:30 CET
Description of problem:
gnome-shell consistently uses 70% of CPU when TopIcons extension is enabled.
perf top shows it spent its time in libc, libgirepository & libglib
(lot of allocations)

Version-Release number of selected component (if applicable):
22-1

How reproducible:
Always


Steps to Reproduce:
1. starts net_applet & hplip applet
2.
3.
Thierry Vignaud 2019-03-23 05:06:47 CET

Target Milestone: --- => Mageia 7
CC: (none) => olav

Comment 1 Martin Whitaker 2019-03-23 09:50:39 CET
You have the following choices:

1. Disable TopIcons until upstream fix the bug.

2. Apply the hack workaround referenced in the upstream bug report (and remove when upstream fix the bug).

3. Rework net_applet and mgaapplet to not use the legacy systray (and accept that HPLIP is not fully functional in GNOME).

4. Don't use GNOME.

I'm not the maintainer of either of these packages, and from the bug report, the bug is in GNOME, not in TopIcons, so reassigning accordingly.

Assignee: mageia => gnome

Comment 2 Martin Whitaker 2019-03-23 10:14:00 CET
We could also try https://github.com/ubuntu/gnome-shell-extension-appindicator, to see if that works better.

CC: (none) => mageia

Comment 3 Thierry Vignaud 2019-03-23 11:58:59 CET
Martin you're the one that made topicon installed by default...
Comment 4 Martin Whitaker 2019-03-23 12:17:23 CET
(In reply to Thierry Vignaud from comment #3)
> Martin you're the one that made topicon installed by default...

Yes, and that isn't what's broken.

1. TopIcons is disabled by default (except on the Live ISOs, and I'll change that if this bug isn't fixed).

2. I'm not the GNOME maintainer, so I can't go applying ugly workarounds.

3. I can't be expected to fix every bug in Mageia.

If you think it's OK that the Mageia tools don't work properly in GNOME, fine, I'll just remove the recommends, and stop wasting my time.
Comment 5 Martin Whitaker 2019-03-23 19:06:59 CET
I've now tested the app-indicator extension, and that works fine with the hplip applet, with no increased CPU usage. After modifying net_applet to use SNI when running in GHOME, that works too, although there is a problem with the icon scaling.
Comment 6 Martin Whitaker 2019-03-23 22:20:07 CET
There is another peculiarity with the app-indicator extension. You need to double-click (left or right button) to get the old left-click action and single-click to get the old right-click action. So TopIcons is preferable IMO.
Comment 7 Martin Whitaker 2019-05-06 00:16:38 CEST
Created attachment 10980 [details]
Upstream patch that fixes this bug

Upstream have now fixed this bug, and back-ported it to the 3.32 branch. I've tested it locally. and it does the job without any immediately obvious problems.
Comment 8 David GEIGER 2019-05-06 06:31:24 CEST
Patch added and submitted!

CC: (none) => geiger.david68210

Christian Lohmaier 2019-05-06 12:04:40 CEST

CC: (none) => lohmaier+mageia

Comment 9 Martin Whitaker 2019-05-17 23:46:00 CEST
Confirmed fixed on the 7-rc Live GNOME ISO.

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.